# ----------------------- Main Menu Items -------------------------------#

New {
    New Tab = ID_NEW_TAB 
}

Open {
    !New
    -
    :Open Options
    bmpmenu()
}

Print {
    &Print... = ID_FILE_PRINT
    Print Pre&view = ID_FILE_PRINTPREVIEW
    Page &Setup = ID_FILE_PRINTSETUP
    bmpmenu()
}

CloseTab {
    Close Tab = ID_CLOSE_TAB
    luamacro(CloseAllOthers, Close all other tabs)
}

Close {
    !CloseTab
}

&File {
    !New
    -
    &Open... = ID_FILE_OPEN
    luamacro(ietab_embed, Open using IE engine)
    Save Page &As... = ID_FILE_SAVE_AS
    luamacro(qsaver, Quick save webpage)
    luamacro(mhtsave, Save Page in MHT)
    -
    !Print
    -
    Offline = ID_OFFLINE
    -
    !Close
    &Exit = ID_APP_EXIT
#   luamacro(property_adblock)
#   luamacro(property_demo, Test)
#   luamacro(GoogleAutoLoader)
#   Select Doc = ID_VIEW_HISTORY
#   gestures(doc)
#   history(view)
#   gesutres(view)
    
}

Edit {
    Cu&t = ID_EDIT_CUT
    &Copy = ID_EDIT_COPY
    &Paste = ID_EDIT_PASTE
    &Select All = ID_EDIT_SELECT_ALL
        luamacro(ViewSelection, View selected HTML)
}

&Up {
luamacro(UpDir, Go Up Directory)
luamacro(TopDir, Go to Top Level of site)
}


&Edit {
    !Edit
    -
    luamacro(highlight, Find and Highlight)
    &Find in Page = ID_EDIT_FIND
    Find &Next = ID_EDIT_FINDNEXT
    Find Pre&v = ID_EDIT_FINDPREV
    -
    luamacro(viewallimages, View All Images)
}

Tool&bars{
@Toolbars
-
Loc&k Toolbars=ID_TOOLBARS_LOCK
}
Toolbars{
:Tool&bars
&Status Bar=ID_VIEW_STATUS_BAR
}

&Toolbars {
    @ToolBars
    &Status Bar = ID_VIEW_STATUS_BAR
    -
    Lock the Tool&bars = ID_TOOLBARS_LOCK
}

&SideBars {
    @SideBars
}

Reload Options {
    Force Reload = ID_NAV_FORCE_RELOAD
    luamacro(continuous, Continuous Reload)
}

Nav {
    &Back = ID_NAV_BACK
    &Forward = ID_NAV_FORWARD
    &Stop = ID_NAV_STOP
    &Reload = ID_NAV_RELOAD
    :Reload Options
#   Force Reload = ID_NAV_FORCE_RELOAD
    luamacro(RewindPage, Rewind Page)
}

Home Open Options {
    luamacro(set_home_normal, Open Home in current tab)
    luamacro(set_home_new, Open Home in new tab)
    luamacro(set_home_background, Open Home in background tab)
}

Home {
#   Open Home Page = ID_NAV_HOME
    luamacro(home, Open Home Page)
    luamacro(sethome, Set as Home page)
    -
    !Home Open Options 
}



History {
    history(Config, Config...)
    history(View, View History)
    history()
}

Zoom In {
    luamacro(zoominpage, Zoom In Page)
    Zoom In Text = ID_FONT_INCREASE
    luamacro(zoominimages, Zoom In Image)
    bmpmenu()
}

Zoom Out {
    luamacro(zoomoutpage, Zoom Out Page)
    Zoom Out Text = ID_FONT_DECREASE
    luamacro(zoomoutimages, Zoom Out Image)
    bmpmenu()
}

Zoom Button Options {
    luamacro(zoompage, Zoom full page)
    luamacro(zoomimages, Zoom image only)
    luamacro(zoomtext, Zoom text only)
    }

Zoom{
    !Zoom In
    -
    !Zoom Out
    -
    :Zoom Button Options
}

More CharactorSet {
luamacro(SetForceCharset(utf-7), Unicode (UTF-7))
luamacro(SetForceCharset(utf-8), Unicode (UTF-8))
luamacro(SetForceCharset(utf-16), Unicode (UTF-16))
luamacro(SetForceCharset(utf-16le), Unicode (UTF-16 Little Endian))
luamacro(SetForceCharset(utf-16be), Unicode (UTF-16 Big Endian))
luamacro(SetForceCharset(utf-32le), Unicode (UTF-32 Little Endian))
luamacro(SetForceCharset(utf-32be), Unicode (UTF-32 Big Endian))
-
luamacro(SetForceCharset(gb2312), Chinese Simplified (GB2312))
luamacro(SetForceCharset(hz-gb-2312), Chinese Simplified (HZ))
luamacro(SetForceCharset(x-gbk), Chinese Simplified (GBK))
luamacro(SetForceCharset(iso-2022-cn), Chinese Simplified (ISO-2022-CN))
luamacro(SetForceCharset(gb18030), Chinese Simplified (GB18030))
-
luamacro(SetForceCharset(big5), Chinese Traditional (Big5))
luamacro(SetForceCharset(big5-hkscs), Chinese Traditional (Big5-HKSCS))
luamacro(SetForceCharset(x-euc-tw), Chinese Traditional (EUC-TW))
-
luamacro(SetForceCharset(iso-2022-jp), Japanese (ISO-2022-JP))
luamacro(SetForceCharset(shift_jis), Japanese (Shift_JIS))
luamacro(SetForceCharset(euc-jp), Japanese (EUC-JP))
-
luamacro(SetForceCharset(euc-kr), Korean (EUC-KR))
luamacro(SetForceCharset(x-johab), Korean (JOHAB))
luamacro(SetForceCharset(x-windows-949), Korean (UHC))
luamacro(SetForceCharset(iso-2022-kr), Korean (ISO-2022-KR))
-
luamacro(SetForceCharset(us-ascii), English (US-ASCII))
luamacro(SetForceCharset(iso-8859-1), Western (ISO-8859-1))
luamacro(SetForceCharset(iso-8859-2), Central European (ISO-8859-2))
luamacro(SetForceCharset(iso-8859-3), South European (ISO-8859-3))
luamacro(SetForceCharset(iso-8859-4), Baltic (ISO-8859-4))
luamacro(SetForceCharset(iso-8859-9), Turkish (ISO-8859-9))
luamacro(SetForceCharset(iso-8859-10), Nordic (ISO-8859-10))
luamacro(SetForceCharset(iso-8859-13), Baltic (ISO-8859-13))
luamacro(SetForceCharset(iso-8859-14), Celtic (ISO-8859-14))
luamacro(SetForceCharset(iso-8859-15), Western (ISO-8859-15))
luamacro(SetForceCharset(iso-8859-16), Romanian (ISO-8859-16))
luamacro(SetForceCharset(windows-1250), Central European (Windows-1250))
luamacro(SetForceCharset(windows-1252), Western (Windows-1252))
luamacro(SetForceCharset(windows-1254), Turkish (Windows-1254))
luamacro(SetForceCharset(windows-1257), Baltic (Windows-1257))
luamacro(SetForceCharset(x-mac-roman), Western (MacRoman))
luamacro(SetForceCharset(x-mac-ce), Central European (MacCE))
luamacro(SetForceCharset(x-mac-turkish), Turkish (MacTurkish))
luamacro(SetForceCharset(x-mac-croatian), Croatian (MacCroatian))
luamacro(SetForceCharset(x-mac-romanian), Romanian (MacRomanian))
luamacro(SetForceCharset(x-mac-icelandic), Icelandic (MacIcelandic))
luamacro(SetForceCharset(iso-8859-5), Cyrillic (ISO-8859-5))
luamacro(SetForceCharset(iso-ir-111), Cyrillic (ISO-IR-111))
luamacro(SetForceCharset(windows-1251), Cyrillic (Windows-1251))
luamacro(SetForceCharset(x-mac-cyrillic), Cyrillic (MacCyrillic))
luamacro(SetForceCharset(x-mac-ukrainian), Cyrillic/Ukrainian (MacUkrainian))
luamacro(SetForceCharset(koi8-r), Cyrillic (KOI8-R))
luamacro(SetForceCharset(koi8-u), Cyrillic/Ukrainian (KOI8-U))
luamacro(SetForceCharset(iso-8859-7), Greek (ISO-8859-7))
luamacro(SetForceCharset(windows-1253), Greek (Windows-1253))
luamacro(SetForceCharset(x-mac-greek), Greek (MacGreek))
luamacro(SetForceCharset(windows-1258), Vietnamese (Windows-1258))
luamacro(SetForceCharset(x-viet-tcvn5712), Vietnamese (TCVN))
luamacro(SetForceCharset(viscii), Vietnamese (VISCII))
luamacro(SetForceCharset(x-viet-vps), Vietnamese (VPS))
luamacro(SetForceCharset(geostd8), Georgian (GEOSTD8))
luamacro(SetForceCharset(tis-620), Thai (TIS-620))
luamacro(SetForceCharset(iso-8859-11), Thai (ISO-8859-11))
luamacro(SetForceCharset(windows-874), Thai (Windows-874))
luamacro(SetForceCharset(ibm874), Thai (IBM-874))
luamacro(SetForceCharset(armscii-8), Armenian (ARMSCII-8))
luamacro(SetForceCharset(iso-8859-6), Arabic (ISO-8859-6))
luamacro(SetForceCharset(iso-8859-6-i), Arabic (ISO-8859-6-I))
luamacro(SetForceCharset(iso-8859-6-e), Arabic (ISO-8859-6-E))
luamacro(SetForceCharset(iso-8859-8), Hebrew Visual (ISO-8859-8))
luamacro(SetForceCharset(iso-8859-8-i), Hebrew (ISO-8859-8-I))
luamacro(SetForceCharset(iso-8859-8-e), Hebrew (ISO-8859-8-E))
luamacro(SetForceCharset(windows-1255), Hebrew (Windows-1255))
luamacro(SetForceCharset(windows-1256), Arabic (Windows-1256))
luamacro(SetForceCharset(x-user-defined), User Defined)
luamacro(SetForceCharset(ibm866), Cyrillic/Russian (CP-866))
luamacro(SetForceCharset(ibm850), Western (IBM-850))
luamacro(SetForceCharset(ibm852), Central European (IBM-852))
luamacro(SetForceCharset(ibm855), Cyrillic (IBM-855))
luamacro(SetForceCharset(ibm857), Turkish (IBM-857))
luamacro(SetForceCharset(ibm862), Hebrew (IBM-862))
luamacro(SetForceCharset(ibm864), Arabic (IBM-864))
luamacro(SetForceCharset(ibm864i), Arabic (IBM-864-I))
luamacro(SetForceCharset(x-mac-arabic), Arabic (MacArabic))
luamacro(SetForceCharset(x-iso-8859-6-8-x), Arabic (Langbox ISO-8859-6.8x))
luamacro(SetForceCharset(x-iso-8859-6-16), Arabic (Langbox ISO-8859-6.16))
luamacro(SetForceCharset(x-mac-farsi), Farsi (MacFarsi))
luamacro(SetForceCharset(x-mac-hebrew), Hebrew (MacHebrew))
luamacro(SetForceCharset(x-mac-devanagari), Hindi (MacDevanagari))
luamacro(SetForceCharset(x-mac-gujarati), Gujarati (MacGujarati))
luamacro(SetForceCharset(x-mac-gurmukhi), Gurmukhi (MacGurmukhi))
luamacro(SetForceCharset(x-sun-unicode-india-0), Hindi (SunDevanagari))
}

&Encoding {
luamacro(AutoDetect(), (Turn Off))
luamacro(AutoDetect("universal_charset_detector"), Auto Detect)
-
luamacro(SetForceCharset(ISO-8859-1), Western (ISO-8859-1))
-
luamacro(SetForceCharset(utf-8), Unicode (UTF-8))
luamacro(SetForceCharset(utf-16), Unicode (UTF-16))
luamacro(SetForceCharset(utf-16be), Unicode (UTF-16 Big Endian))
-
luamacro(ForcePageChar, Chinese Simplified (GB2312))
luamacro(SetForceCharset(hz-gb-2312), Chinese Simplified (HZ))
luamacro(ForcePageChar1, Chinese Simplified (GB18030))
luamacro(SetForceCharset(iso-2022-cn), Chinese Simplified (ISO-2022-CN))
luamacro(SetForceCharset(x-gbk), Chinese Simplified (GBK))
-
luamacro(SetForceCharset(big5), Chinese Traditional (Big5))
luamacro(SetForceCharset(x-euc-tw), Chinese Traditional (EUC-TW))
luamacro(SetForceCharset(big5-hkscs), Chinese Traditional (Big5-HKSCS))
-
luamacro(SetForceCharset(shift_jis), Japanese (Shift_JIS))
luamacro(SetForceCharset(euc-jp), Japanese (EUC-JP))
luamacro(SetForceCharset(iso-2022-jp), Japanese (ISO-2022-JP))
-
luamacro(SetForceCharset(euc-kr), Korean (EUC-KR))
luamacro(SetForceCharset(x-johab), Korean (JOHAB))
luamacro(SetForceCharset(x-windows-949), Korean (UHC))
luamacro(SetForceCharset(iso-2022-kr), Korean (ISO-2022-KR))
-
:More CharactorSet
}

View Page Info{
    luamacro(ViewLinks, Page Links)
    luamacro(ListLinks, List Links)
    Page So&urce = ID_VIEW_SOURCE
}

Fullscreen{
    fullscreen(Fu&ll Screen, Full Screen)
}

Translate{
    luamacro(translateEn2Cn, English to Chinese)
}

&View {
#   !&Up
#   -
    !Toolbars
    :&SideBars
    -
    !Nav
    -
    :Home
    -
    :History
    -
    :Zoom
    luamacro(fittowidth, Fit to Width)
    -
    :&Encoding
    -
    :Translate
    -
    !View Page Info
    luamacro(dominspect, DOM Inspect)
    luamacro(objurl, Show Object URL)
    #fullscreen(Config, Configure Fullscreen)
    !Fullscreen
}

&Bookmarks {
    bookmarks(Add, Add)
    bookmarks(Edit, Edit)
    luamacro(quickbookmark,QuickBookmark)
    bookmarks(Config, Config)
    -
    bookmarks()
}

F&avorites {
    favorites(Add, Add)
    favorites(Edit, Explore)
    favorites(Config, Config)
    luamacro(favorites_dialog, Advanced)
    -
    favorites()
}

Groups{
    luamacro(gcreategroup, Create group)
    -
    luamacro(gaddurl, Add this tab into group...)
    luamacro(gaddall, Add all tabs into group...)
    luamacro(greplaceall, Replace group with all tabs)
    -
    luamacro(glist, List group)
    luamacro(gdelete, Delete group)
    #-
    #luamacro(gsetstartup, Set startup group...)
    #luamacro(nostartup, Don't use startup group)
}


Web Search{
    luamacro(search.Search, Default)
    luamacro(search.Search(Google), Google)
    luamacro(search.Search(Yahoo), Yahoo)
    luamacro(search.Search(Wikipedia), Wikipedia)
    luamacro(search.Search(Dictionaries), Dictionaries)
    luamacro(search.Search(KM), K-Meleon Forums)
    luamacro(search.Search(URL), URL)
    luamacro(search.Search(Baidu), Baidu)
    luamacro(search.Search(IMDB), IMDB)
    luamacro(search.Search(dictcn), dict.cn)
    --
    luamacro(search.SetSearch, Set Default Engine)
    --
    luamacro(search.SetOpen(0), Open results in current page);
    luamacro(search.SetOpen(1), Open results in new page);
    luamacro(search.SetOpen(2), Open results in background);
}


&Search{
:Web Search
}

Weather Report{
luamacro(weather, Weather Report)
}

Domain Completion{
}

Privacy{
luamacro(AniToggle, Block Animation)
luamacro(CToggle, Block Colors)
luamacro(SCToggle,Block System Colors)
luamacro(CKToggle, Block Cookies)
luamacro(ImgToggle, Block Images)
luamacro(JToggle, Block Java)
luamacro(JSToggle, Block JavaScript)
luamacro(PBToggle, Block Popups)
luamacro(RefToggle, Block Referer)
#luamacro(ClearAll, Clear All)
}



User Agent{
    luamacro(useragent, K-Meleon (Default))
    luamacro(useragent1, Internet Explorer 6 (XP))
    luamacro(useragent2, Netscape 4.8 (XP))
    luamacro(useragent3, Opera 7.54 (XP))
    luamacro(useragent4, Firefox 2.0.0.3 (XP))
    luamacro(customagent, Custom...)
}

Advanced Preferences{
luamacro(accel, Accelerators...)
luamacro(menus, Menus...)
luamacro(usercontent, UserContent (Page Style)...)
luamacro(prefs, Prefs...)
}

Link Handling{
luamacro(LinkNormal, Normal)
luamacro(LinkInNewTab, Open links in new tabs)
luamacro(LinkInBackgroundTab, Open links in background tabs) 
}

Drag and Drop{
luamacro(DragNew, Drag and Drop opens in new tab)
luamacro(DragBack, Drag and Drop opens in background tab)
}

Permissions {
View Cookies = ID_COOKIES_VIEWER 
View Password = ID_PASSWORDS_VIEWER
-
Cookie permissions = ID_COOKIE_PERM
Image permissions = ID_IMAGE_PERM
Popup permissions = ID_POPUP_PERM
}

Advanced {
luamacro(checkmenu, Menu configuration)
luamacro(checkaccel, Accelerator configuration)
luamacro(checkgestures, Gestures configuration)
}

&Options{
#luamacro(zapplugin, Clear AD)
luamacro(property_CCF,Pr&eferences)
luamacro(property_adblockplus, Adblock options)
luamacro(SelectDM, Download Manager)
Privacy(Config, Privacy options) 
luamacro(profilebackup, Profile Backup/Restore)
-
:Permissions
#luamacro(fasterfox)
#adblockplus(Preferences,Ad&block Plus)
#luamacro(newsfox, RSS)
#luamacro(microrss, Micro RSS)
#luamacro(adblockeditor, Filter Editor
#luamacro(flashblock, Enable Flashblock)

!&Search
:User Agent
:Privacy
:Advanced
-

-
!Weather Report
luamacro(notes.opennotes, View Notes)
}

&Proxy{
luamacro(NoProxy, No proxy)
-
luamacro(proxy_dialog,Proxy Configuration)
}

# -----
&Sessions{
sessions(load, Load Session)
sessions(save, Save Session)
#sessions(undo, Undo Last Closed)
sessions(config, Config)
}



# -----
&Help {
luamacro(checkupdates, Check for updates)
K-Meleon Home = ID_LINK_KMELEON_HOME
-
K-Meleon Forums = ID_LINK_KMELEON_FORUM
-
User's Guide = ID_LINK_KMELEON_MANUAL
FAQ = ID_LINK_KMELEON_FAQ
-
#About K-Meleon = ID_APP_ABOUT
luamacro(AboutDialog, About K-MeleonCCF)
}


AdBlock{
luamacro(flashblock, Enable Flashblock)
luamacro(ABToggle, Enable Adblock)
-
luamacro(ABcollapse, Collapse Blocked Elements)
luamacro(ABparlnk, Check Parent Links)
luamacro(ABdivcheck, Check DIV Elements)
luamacro(ABlstsort, Keep Filters Sorted)
-
luamacro(AdBlock, AdBlock Preferences)
}

%ifplugin sessions
&Load Session {
sessions()
}
&Sessions{
:&Load Session
&Save Session=sessions(save)
&Undo Last Closed=sessions(undo)
Config = sessions(Config)
}
%endif

&Undo{

}


# --&--
Main {
:&File
:&Edit
:&View
%ifplugin bookmarks
:&Bookmarks
%endif
%ifplugin favorites
:F&avorites
%endif
%ifplugin hotlist
:H&otlist
%endif
:&Options
:&Proxy
:Groups
%ifplugin sessions
:&Sessions
%endif
:&Help
bmpmenu(top)
}





# --^--
Compact Menu{
!Main
}





# --^--
CCFzhuti{
macros(CCFpadora, 【潘多拉的世界】(qybaby))
macros(CCFKMeleon, 【K-MeleonCCF】(coolwulf))
}

CCFwangluo{
macros(CCFnetwork,『网络技术』)
macros(CCFunix,『Unix系统』)
macros(CCFbbs,『论坛程序/MySQL专版』)
macros(CCFnews,『网闻信息版』)
}

CCFdiannao{
macros(CCFsoft,『软件使用』)
#macros(CCFsoftuser,『精品软件会员区』)
macros(CCFHard,『硬件使用』)
macros(CCFdevelop,『程序员之家』)
}

CCFshuma{
macros(CCFPDA,『手机、PDA & MP3 Player』)
macros(CCFmusic, 『精品音乐』 )
macros(CCFoptical,『CD/DVD光存储』)
macros(CCFDC,『DC & DV 硬件』)
macros(CCFgame,『游戏天地』)
}

CCFyingshi{
macros(CCFTV,『视频技术』)
#macros(CCFmovieuser,『精品影视会员区』)
macros(CCFmovie,『精品影评』)
}

CCFtuxiang{
macros(CCFpicture,『图形技术版』)
macros(CCFdesktop,『精品桌面专题』)
macros(CCFphoto,『数码摄影个人作品区』)
}

CCFxuetang{
macros(CCFeducation,『精品学堂』)
macros(CCFeducationuser,『教育资源会员区』)
macros(CCFfinance,『金融财经』)
}

CCFxiuxian{
macros(CCFpeople,『人文居◇生活精粹』)
macros(CCFliterature,『文学版◇水秀精华』)
macros(CCFjoke,『笑话版』)
macros(CCFsports,『精品电台』)
macros(CCFchat,『休闲天地◇放心情』)
macros(CCFgather,『精品之家◇网聚联谊专区』)
macros(CCFshirt,『 精品衫专版』)
}

CCF{
luamacro(CCFKMeleon, K-MeleonCCF主题版)
luamacro(CCFDaily, <今日新帖>)
luamacro(CCFmain, <精品论坛主页>)
#macros(CCFadmin, )
luamacro(CCFnetwork, <网络技术>)
luamacro(CCFunix, <Unix系统>)
luamacro(CCFnews,<网闻信息版>)
luamacro(CCFsoft, <软件使用>)
luamacro(CCFHard, <硬件使用>)
luamacro(CCFdevelop, <程序员之家>)
luamacro(CCFPDA, <手机、PDA & MP3 Player>)
luamacro(CCFmusic, <精品音乐>)
luamacro(CCFgame, <游戏天地>)
luamacro(CCFTV, <视频技术>)
luamacro(CCFmovie, <精品影评>)
luamacro(CCFpicture, <图形技术版>)
luamacro(CCFphoto, <数码摄影个人作品区>)
luamacro(CCFpeople,<人文居◇生活精粹>)
luamacro(CCFliterature,<文学版◇水秀精华>)
luamacro(CCFchat,<休闲天地◇放心情>)
luamacro(CCFjoke,<笑话版>)
}


searchbar{
luamacro(searchbargoogle, Google)
luamacro(searchbaryahoo, Yahoo)
luamacro(searchbarwikipedia, Wikipedia)
luamacro(searchbarscholar,Scholar)
luamacro(searchbarimdb,IMDB)
luamacro(searchbarbaidu,Baidu)
luamacro(searchbardictcn,Dict.cn)
luamacro(searchbarshooter,Shooter)
luamacro(searchbarmw,Merriam-Webster)
}

ViewImageButton{
luamacro(ZoomImageLinks, Open Linked Images)
luamacro(zoominimages, Zoom In Images)
luamacro(ViewAllImages, View All Images)
luamacro(saveallimages, Save All Images)
}



# --^--
CloseButton{
!Close
}





# --$--
go{
luamacro(MultiPasteGo, Past and Go)
luamacro(MultiSelectGo, Select and Go)
:URL Bar Text Options
}


clip{
luamacro(copy_to(1), Copy to internal Clipboard 1)
luamacro(copy_to(2), Copy to internal Clipboard 2)
luamacro(copy_to(3), Copy to internal Clipboard 3)
-
luamacro(paste_from(1), Paste from internal Clipboard 1)
luamacro(paste_from(2), Paste from internal Clipboard 2)
luamacro(paste_from(3), Paste from internal Clipboard 3)
}


# --$--
up{
luamacro(UpDir, Go Up Directory)
luamacro(TopDir, Go to Top Level of site)
}










# -------------------------- Popus Menus ----------------------------------#

Save{
bookmarks(Add, Bookmark This Page)
favorites(Add, Add Page to Favorites)
hotlist(Add, Add Page to Hotlist)
Save Page &As... = ID_FILE_SAVE_AS
luamacro(saveasplus, SaveAs Plus...)
}


Selected Text{
luamacro(URL, Go to URL)
-
luamacro(ietab_selected, Open in IE Tab)
-
!Web Search
}


Selected{
Select &All = ID_EDIT_SELECT_ALL
&Copy Text = ID_EDIT_COPY
luamacro(ViewSelection, View selected HTML)
:Selected Text
luamacro(notes.notebook, Send text to notes)
}


CyberArticle{
macros(Cyberarticle,Save page by CyberArticle);
}

Split Page{
luamacro(split_page_h, Split page horizontally)
luamacro(split_page_v, Split page vertically)
}


IE Tab{
luamacro(openinie, View Page in IE or external browser)
luamacro(ietab, View Page In IE engine)
luamacro(AddIEtab, Add this page in IETab auto list)
}

View Page{
:IE Tab
:View Page Info
#:Split Page
#!CyberArticle
#luamacro(cyberarticle, Save page using cyberarticle);
}

Frame{
Open Frame = ID_OPEN_FRAME
Open Frame in New Tab = ID_OPEN_FRAME_IN_NEW_TAB 
Open Frame in Background = ID_OPEN_FRAME_IN_BACKGROUNDTAB
-
View Frame Info =  ID_VIEW_FRAME_INFO
V&iew Frame Source = ID_VIEW_FRAME_SOURCE
luamacro(addpattern2, Adblock Frame)
}

DocumentPopup {
!Nav
-
luamacro(addlink, Add into scrapebook)
luamacro(URL, Go to URL)
luamacro(sendhotkey, Send this page to hotkey)
luamacro(CopyAsLink,Copy page as a link)
!Save
!Selected
-
:&Encoding
-
!View Page
!Fullscreen
}


DocumentImagePopup {
!Nav
-
luamacro(URL, Go to URL)
luamacro(sendhotkey, Send this page to hotkey)
!Save
!Selected
-
!View Page
&View Background Image = ID_VIEW_IMAGE
!Fullscreen
}


SelectedText {
&Undo = ID_EDIT_UNDO
-
luamacro(URL, Go to URL)
-
luamacro(ietab_selected, Open in IE Tab)
!Edit
#luamacro(addcss3, Adblock Item)
-
:Selected Text
luamacro(notes.notebook, Send text to notes)
}


Link{
luamacro(sendhotkeylink, Send this link to hotkey)
Open in New Tab = ID_OPEN_LINK_IN_NEW_TAB 
Open in Background Tab = ID_OPEN_LINK_IN_BACKGROUNDTAB
-
luamacro(ietab_link, Open in IE Tab)
-
bookmarks(AddLink, Bookmark This Link)
favorites(AddLink, Add Link to Favorites)
hotlist(AddLink, Add Link to Hotlist)
&Copy Link URL = ID_COPY_LINK_LOCATION
Save &Link As... = ID_SAVE_LINK_AS
luamacro(oGet, Download link with Download Manager)
}


LinkPopup {
luamacro(URL, Go to URL)
#luamacro(ietab, Open Link Using IE Engine)
!Link
-
!Selected
-
#luamacro(addcss4, Adblock linked object)
}


Image{
luamacro(zoominimages, Zoom In Image)
luamacro(zoomoutimages, Zoom Out Image)
-
&View Image = ID_VIEW_IMAGE
Copy Image = ID_COPY_IMAGE_CONTENT
Cop&y Image URL = ID_COPY_IMAGE_LOCATION
#luamacro(addtoblacklist, Block images from this domain)
luamacro(addpattern, Adblock Image)
Save &Image As... = ID_SAVE_IMAGE_AS
}


ImagePopup {
!Image
}


TextPopup {
&Undo = ID_EDIT_UNDO
-
luamacro(URL, Go to URL)
-
luamacro(ietab_selected, Open in IE Tab)
!Edit
-
:Selected Text
luamacro(notes.notebook, Send text to notes)
}

ImageLinkPopup {
!Link
-
!Image
#bmpmenu()
}


FrameDocumentPopup {
!Nav
-
luamacro(URL, Go to URL)
luamacro(sendhotkey, Send this page to hotkey)
!Save
!Selected
-
:Frame
-
!View Page
!Fullscreen
#bmpmenu()
}


FrameDocumentImagePopup {
!Nav
-
luamacro(URL, Go to URL)
luamacro(sendhotkey, Send this page to hotkey)
!Save
!Selected
-
:Frame
-
!View Page
&View Background Image = ID_VIEW_IMAGE
!Fullscreen
#bmpmenu()
}


FrameLinkPopup {
luamacro(URL, Go to URL)
!Link
-
!Selected
-
:Frame
#bmpmenu()
}


FrameImagePopup {
!Image
-
:Frame
#bmpmenu()
}


FrameImageLinkPopup {
!Link
-
!Image
-
:Frame
#bmpmenu()
}


TabButtonPopup {
!New
!CloseTab
-
:Tool&bars
}

SaveButton{
luamacro(qsaver1, Quick save page as html)
luamacro(qsaver2, Quick save the whole web page)
luamacro(setsave1, Set quicksave to save page as html)
luamacro(setsave2, Set quicksave to save page as the whole page)
}

IETab{
luamacro(ietab_embed, Open using IE engine)
luamacro(ietab, View Page In IE engine)
}

